/***************************************************************************
                          caliaslist.cpp  -  alias list
    This file is a part of KMuddy distribution.
                             -------------------
    begin                : Ct sep 12 2002
    copyright            : (C) 2002 by Tomas Mecir
    email                : kmuddy@kmuddy.org
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "caliaslist.h"

#include "calias.h"
#include "csession.h"

#include <kconfig.h>

cAliasList::cAliasList (QString filename, cSession *_sess) :
    cSaveableList (_sess)
{
  //sess is assigned in cSaveableList's constructor
  prototype = new cAlias (sess->sendcmd());
  objName = "Alias";
  config = new KConfig (filename);
  load ();
}

cAliasList::~cAliasList ()
{
  save ();
  config->sync ();
}

void cAliasList::newString ()
{
  wasmatch = false;
  matchedcommands.clear();
}

void cAliasList::matchString (const QString &string)
{
  if (_enabled) //only if processing is enabled
  {
    //cycle through all items in the list...
    for (reset(); *this; (*this)++)
    {
      if (!_enabled)
        break;
      //match against alias
      bool matched = cur->match (string);
      if (matched)
      {
        cur->performAction ();
        processCommands (cur->commandsToExec ());
      }
      //break the loop if needed
      if (!(cur->shouldContinue (matched)))
        break;
      //also break if we're in recursion
      if (recursionAlert)
        break;
    }
    reset ();
  }
}

void cAliasList::processCommands (const QStringList &commands)
{
  wasmatch = true;
  matchedcommands = commands;
}
